--- m4/ax_check_graphics.m4.orig	2017-12-18 10:24:55 UTC
+++ m4/ax_check_graphics.m4
@@ -44,7 +44,7 @@ if test "x$with_zlib" != 'xno' || test "
   ZLIB_OLD_LDFLAGS=$LDFLAGS
   ZLIB_OLD_CPPFLAGS=$CPPFLAGS
   if test "x$ZLIB_HOME" != 'x' ; then
-    if test "x$HCPU" = 'xamd64' ; then
+    if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
       LDFLAGS="$LDFLAGS -L$ZLIB_HOME/lib64"
     else
       LDFLAGS="$LDFLAGS -L$ZLIB_HOME/lib"
@@ -69,7 +69,7 @@ if test "x$with_zlib" != 'xno' || test "
         LIB_ZLIB="-lz"
         ZLIB_FLAGS="-DHasZLIB"
       else
-        if test "x$HCPU" = 'xamd64' ; then
+        if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
           LIB_ZLIB="-L$ZLIB_HOME/lib64 -lz"
         else
           LIB_ZLIB="-L$ZLIB_HOME/lib -lz"
@@ -133,7 +133,7 @@ if test "x$with_png" != 'xno' ; then
   PNG_OLD_LDFLAGS=$LDFLAGS
   PNG_OLD_CPPFLAGS=$CPPFLAGS
   if test "x$PNG_HOME" != 'x' ; then
-    if test "x$HCPU" = 'xamd64' ; then
+    if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
       LDFLAGS="$LDFLAGS -L$PNG_HOME/lib64"
     else
       LDFLAGS="$LDFLAGS -L$PNG_HOME/lib"
@@ -158,7 +158,7 @@ if test "x$with_png" != 'xno' ; then
         LIB_PNG="-lpng"
         PNG_FLAGS="-DHasPNG"
       else
-        if test "x$HCPU" = 'xamd64' ; then
+        if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
           LIB_PNG="-L$PNG_HOME/lib64 -lpng"
         else
           LIB_PNG="-L$PNG_HOME/lib -lpng"
@@ -224,7 +224,7 @@ if test "x$with_jpeg" != 'xno' || test "
   JPEG_OLD_LDFLAGS=$LDFLAGS
   JPEG_OLD_CPPFLAGS=$CPPFLAGS
   if test "x$JPEG_HOME" != 'x' ; then
-    if test "x$HCPU" = 'xamd64' ; then
+    if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
       LDFLAGS="$LDFLAGS -L$JPEG_HOME/lib64"
     else
       LDFLAGS="$LDFLAGS -L$JPEG_HOME/lib"
@@ -274,7 +274,7 @@ if test "x$with_jpeg" != 'xno' || test "
         LIB_JPEG="-ljpeg"
         JPEG_FLAGS="-DHasJPEG"
       else
-        if test "x$HCPU" = 'xamd64' ; then
+        if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
           LIB_JPEG="-L$JPEG_HOME/lib64 -ljpeg"
         else
           LIB_JPEG="-L$JPEG_HOME/lib -ljpeg"
@@ -339,7 +339,7 @@ if test "x$with_tiff" != 'xno' ; then
   TIFF_OLD_LDFLAGS=$LDFLAGS
   TIFF_OLD_CPPFLAGS=$CPPFLAGS
   if test "x$TIFF_HOME" != 'x' ; then
-    if test "x$HCPU" = 'xamd64' ; then
+    if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
       LDFLAGS="$LDFLAGS -L$TIFF_HOME/lib64"
     else
       LDFLAGS="$LDFLAGS -L$TIFF_HOME/lib"
@@ -364,7 +364,7 @@ if test "x$with_tiff" != 'xno' ; then
         LIB_TIFF="-ltiff"
         TIFF_FLAGS="-DHasTIFF"
       else
-        if test "x$HCPU" = 'xamd64' ; then
+        if test "x$HCPU" = 'xamd64' -a "x$HSYS" != 'xfreebsd' ; then
           LIB_TIFF="-L$TIFF_HOME/lib64 -ltiff"
         else
           LIB_TIFF="-L$TIFF_HOME/lib -ltiff"
