--- bmp.c.orig	2018-03-09 12:56:15 UTC
+++ bmp.c
@@ -185,9 +185,9 @@ static int readBMP( Image *im, fullPath 
 		PrintError("readBMP, error reading bitmap file header");
 		return -1;
 	}
-	if(0 > im->height) //JMW  BMP has rows from bottom to top
+	if(0 > (int32_t)im->height) //JMW  BMP has rows from bottom to top
 	{
-		im->height = -im->height;
+		im->height = -(int32_t)im->height;
 		reverse = 1;
 	}
 
@@ -310,7 +310,7 @@ static int readBMPFileHeader(Image *im, 
 	im->bitsPerPixel = 32;
 	im->bytesPerLine = im->width * 4;
 	// JMW Negative height BMP have rows bottom to top
-	im->dataSize = im->bytesPerLine * abs(im->height);
+	im->dataSize = im->bytesPerLine * abs((int32_t)im->height);
 	
 	// Advance file pointer to start of image data
 	fseek( input, header.ImageDataOffset, SEEK_SET );
