--- ptstitch.c.orig	2018-03-09 12:56:15 UTC
+++ ptstitch.c
@@ -1015,11 +1015,11 @@ static void panoStitchBlendLayers8Bit(un
                 for (index = 0; index < 3; index++) {
                     colours[index] += (*(ptrPixel + index) * alphaContribution) / 0xff; // 
 
-                    if (!(colours[index] >= 0 && colours[index] <= 0xff)) {
+                    if (colours[index] > 0xff) {
                         printf("PPPPPPPPPPPPPPPPPanic %d index [%d]\n",
                                colours[index], index);
                     }
-                    assert(colours[index] >= 0 && colours[index] <= 0xff);
+                    assert(colours[index] <= 0xff);
                 }
 
                 // We don't need to continue if the alpha channel is at the max
@@ -1143,11 +1143,11 @@ static void panoStitchBlendLayers16Bit(u
 
                 for (index = 0; index < 3; index++) {
                     colours[index] += (*(ptrPixel + index) * alphaContribution) / 0xffff;       // 
-                    if (!(colours[index] >= 0 && colours[index] <= 0xffff)) {
+                    if (colours[index] > 0xffff) {
                         printf("PPPPPPPPPPPPPPPPPanic %lld index [%d]\n",
                                colours[index], index);
                     }
-                    assert(colours[index] >= 0 && colours[index] <= 0xffff);
+                    assert(colours[index] <= 0xffff);
                 }
 
                 // We don't need to continue if the alpha channel is at the max
